Summary:      Platform independent library for scheme
Name:         slib
Version:      3a4
Release:      %mkrel 4
License:      SLIB
Group:        Development/Other
BuildArch:    noarch
Source0:      ftp://swissnet.ai.mit.edu/pub/scm/slib%{version}.tar.gz
Patch1:       slib-3a4-guile.patch
URL:          http://swissnet.ai.mit.edu/~jaffer/SLIB.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): info-install
Requires(preun): info-install

%description
"SLIB" is a portable library for the programming language Scheme.
It provides a platform independent framework for using "packages" of
Scheme procedures and syntax.  As distributed, SLIB contains useful
packages for all Scheme implementations.  Its catalog can be
transparently extended to accommodate packages specific to a site,
implementation, user, or directory.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .guile
for i in *; do
  sed -e "s,/usr/local/lib,%{_datadir},g" \
      -e "s,/usr/lib,%{_datadir},g" \
      -e "s,/usr/local,/usr,g" < "${i}" > "${i}.tmp"
  mv "${i}.tmp" "${i}"
done

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/slib
cp *.scm *.init *.xyz *.txt *.dat *.ps ${RPM_BUILD_ROOT}%{_datadir}/slib
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
install -m644 slib.info $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%_install_info slib.info

%preun
%_remove_install_info slib.info

%files
%defattr(-,root,root)
%dir %{_datadir}/slib
%doc ANNOUNCE README COPYING FAQ ChangeLog
%{_datadir}/slib/*
%{_infodir}/slib.*



%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3a4-4mdv2010.0
+ Revision: 427185
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3a4-3mdv2009.1
+ Revision: 351514
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3a4-2mdv2009.0
+ Revision: 225444
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Frederic Crozat <fcrozat@mandriva.com> 3a4-1mdv2008.1
+ Revision: 113029
- import slib


